const express = require('express');
const chineseYear = require('chinese-year');


const app = express();


const path = require('path');
app.get('/', (req, res) => {
    res.sendFile(path.join(__dirname, 'index.html'));
});


app.get('/zodiac/:year', (req, res) => {
    const year = parseInt(req.params.year); 

    
    if (isNaN(year)) {
        res.status(400).send('<h1>Invalid Input</h1><p>Please provide a valid year.</p>');
        return;
    }

    
    const zodiacPrevious = chineseYear(year - 1);
    const zodiacCurrent = chineseYear(year);
    const zodiacNext = chineseYear(year + 1);

    
    res.send(`
        <h1>Chinese Zodiac Information</h1>
        <p>Chinese Year ${year - 1} was the year of the ${zodiacPrevious}.</p>
        <p>Chinese Year ${year} is the year of the ${zodiacCurrent}.</p>
        <p>Chinese Year ${year + 1} will be the year of the ${zodiacNext}.</p>
    `);
});


const PORT = 3000; 
app.listen(PORT, () => {
    console.log(`Zodiac app is running! Access it at http://localhost:${PORT}`);
});
